
From: James Simmons <jsimmons@infradead.org>

This make the logo handling code easier to read.  Merged the two code blocks
since they test for the exact same condition.


---

 25-akpm/drivers/video/console/fbcon.c |    5 +----
 1 files changed, 1 insertion(+), 4 deletions(-)

diff -puN drivers/video/console/fbcon.c~fbdev-logo-handling-fix drivers/video/console/fbcon.c
--- 25/drivers/video/console/fbcon.c~fbdev-logo-handling-fix	Tue Apr 20 14:37:32 2004
+++ 25-akpm/drivers/video/console/fbcon.c	Tue Apr 20 14:37:32 2004
@@ -767,7 +767,7 @@ static void fbcon_set_display(struct vc_
 			vc->vc_complement_mask <<= 1;
 	}
 
-	if (!init) {
+	if (logo) {
 		if (vc->vc_cols != nr_cols || vc->vc_rows != nr_rows)
 			vc_resize(vc->vc_num, nr_cols, nr_rows);
 		else if (CON_IS_VISIBLE(vc) &&
@@ -784,9 +784,6 @@ static void fbcon_set_display(struct vc_
 			vc->vc_pos += logo_lines * vc->vc_size_row;
 			kfree(save);
 		}
-	}
-
-	if (logo) {
 		if (logo_lines > vc->vc_bottom) {
 			logo_shown = -1;
 			printk(KERN_INFO

_
